summaryrefslogtreecommitdiffstats
path: root/usr/lib/autowifi/00profile
diff options
context:
space:
mode:
Diffstat (limited to 'usr/lib/autowifi/00profile')
-rwxr-xr-xusr/lib/autowifi/00profile9
1 files changed, 9 insertions, 0 deletions
diff --git a/usr/lib/autowifi/00profile b/usr/lib/autowifi/00profile
new file mode 100755
index 00000000..4d2a9a82
--- /dev/null
+++ b/usr/lib/autowifi/00profile
@@ -0,0 +1,9 @@
+#!/bin/sh
+#ESSID MAC CHANNEL ENCRYPTION WPA WPA2
+cat /etc/autowifi/wifi_keys | while IFS='|' read SSID MAC KEY; do
+ if [ "$1" == "$SSID" -a "$2" == "$MAC" ]; then
+ echo $KEY
+ exit 0
+ fi
+done
+exit 1